Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QImageReader.ImageReaderError

    java.lang.Object
      java.lang.Enum<QImageReader.ImageReaderError>
          com.trolltech.qt.gui.QImageReader.ImageReaderError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QImageReader.ImageReaderError>

Enclosing class:
  QImageReader

    public static enum QImageReader.ImageReaderError

extends java.lang.Enum<QImageReader.ImageReaderError>
implements QtEnumerator

This enum describes the different types of errors that can occur when reading images with `QImageReader`.

Enum Constant Summary
`DeviceError` `QImageReader` encountered a device error when reading the image.
`FileNotFoundError` `QImageReader` was used with a file name, but not file was found with that name.
`InvalidDataError` The image data was invalid, and `QImageReader` was unable to read an image from it.
`UnknownError` An unknown error occurred.
`UnsupportedFormatError` Qt does not support the requested image format.

Method Summary
`static QImageReader.ImageReaderError` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QImageReader.ImageReaderError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QImageReader.ImageReaderError[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UnknownError

    public static final QImageReader.ImageReaderError UnknownError

  An unknown error occurred. If you get this value after calling `read`, it is most likely caused by a bug in `QImageReader`.

### FileNotFoundError

    public static final QImageReader.ImageReaderError FileNotFoundError

  `QImageReader` was used with a file name, but not file was found with that name. This can also happen if the file name contained no extension, and the file with the correct extension is not supported by Qt.

### DeviceError

    public static final QImageReader.ImageReaderError DeviceError

  `QImageReader` encountered a device error when reading the image. You can consult your particular device for more details on what went wrong.

### UnsupportedFormatError

    public static final QImageReader.ImageReaderError UnsupportedFormatError

  Qt does not support the requested image format.

### InvalidDataError

    public static final QImageReader.ImageReaderError InvalidDataError

  The image data was invalid, and `QImageReader` was unable to read an image from it. The can happen if the image file is damaged.

Method Detail

### values

    public static final QImageReader.ImageReaderError[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QImageReader.ImageReaderError c : QImageReader.ImageReaderError.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QImageReader.ImageReaderError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QImageReader.ImageReaderError resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD